sawfish(1)

NAME
sawfish — Sawfish window manager.

SYNOPSIS

sawfish [--display [=DPY] ] [--multihead ] [--visual [=VISUAL] ] [--depth [=DEPTH] ] [--disable-nls ] [FILE ] [--batch ] [--interp ] [-f, --call FUNCTION ] [-l, --load FILE ] [--version ] [--no-rc ] [--5-buttons ] [-q, --quit ]

DESCRIPTION

Sawfish is a lisp-extensible window manager for X11. Its aim is to allow all areas of window management (decoration, manipulation) to be customized as far as is possible, yet still remain as fast as existing window managers.

OPTIONS

--disable-nls
    Disable internationalization of messages.

FILE
    Load the Lisp file FILE (from the cwd if possible, implies --batch).

--batch
    Batch mode: process options and exit.

--interp
    Interpreted mode: don't load compiled Lisp files.

-f, --call FUNCTION
    Call Lisp function FUNCTION.

-l, --load FILE
    Load the file of Lisp forms called FUNCTION.

--version
    Print version details.

--no-rc
    Don't load rc or site-init files.

-q, --quit
    Terminate the interpreter process.

--5-buttons
    Support keyboard layout switching, but drop mouse buttons 6 - 8 support.

  Display Options

--display=DPY
    Connect to X display DPY.

--multihead
    Fork a copy of sawfish for each screen.

--visual=VISUAL
    Preferred VISUAL type.

--depth=DEPTH
    Preferred color DEPTH.

  Customization Files Options

--custom-file FILE
    Overrides the default custom file ~/.sawfish/custom.

--window-history-file FILE
    Overrides the default window history file ~/.sawfish/window-history.

--no-rc
    Do not load the rc file.

  Session Management Options

--sm-client-id ID

--sm-prefix PREFIX

  Debugging Option

--sync
    Read src/display.c. Don't use it unless you're sure.

SEE ALSO

Sawfish is documented fully by John Harper available via the Info system.

AUTHOR

This manual page was written by Christian Marillat marillat@debian.org for the Debian GNU/Linux system (but may be used by others).